HOSTNAMECTL(1)

NOM
hostnamectl – Contrôler le nom d'hôte du système

SYNOPSIS

hostnamectl [OPTIONS...] {COMMANDE}

DESCRIPTION

hostnamectl peut être utilisé pour rechercher et changer le nom d'hôte du système et les réglages connexes.

systemd-hostnamed.service(8) et cet outil distinguent trois noms d'hôte différents : le nom d'hôte « agréable » de haut niveau qui peut inclure toutes sortes de caractères spéciaux (par exemple, « Portable de Lennart »), le nom d'hôte « statique » qui est le nom d'hôte configuré par l’utilisateur (par exemple, « portable-lennart ») et le nom d'hôte transitoire qui est une valeur de secours reçue de la configuration du réseau (par exemple, « nœud12345678 »). Si un nom d'hôte statique est défini à une valeur valable, le nom transitoire n'est pas utilisé.

Notez que le nom d'hôte agréable a de petites restrictions sur les caractères et la longueur à utiliser, alors que les noms d'hôte statique et transitoire sont limités aux caractères habituellement acceptés par les noms de domaine d’Internet et à 64 caractères au maximum (cette dernière restriction étant une limite de Linux).

Utilisez systemd-firstboot(1) pour initialiser le nom d'hôte du système pour les images de système montées (mais pas amorcées).

COMMANDES

Les commandes suivantes sont acceptées :

status
    Afficher le nom d'hôte du système et les informations connexes. C'est la commande par défaut si aucune n'est spécifiée.

    Ajouté dans la version 195.

hostname [NOM]
    Si aucun argument n'est donné, afficher le nom d'hôte du système. Si un argument optionnel NOM est fourni, alors la commande change le nom d'hôte du système en NOM. Par défaut, cette commande va modifier les noms d'hôte agréable, statique et transitoire de la même façon ; néanmoins, si une ou plus d’options --static, --transient ou --pretty sont utilisées, seuls les noms d'hôte sélectionnés seront changés. Si le nom d'hôte agréable est défini, ainsi que les noms d'hôte transitoire et statique, le nom d'hôte spécifié sera simplifié selon le jeu de caractères utilisé avant que les derniers soient mis à jour. Cela est effectué en supprimant les caractères spéciaux et les espaces. Cela assure que les noms d'hôte agréable et statique sont toujours relativement proches tout en suivant les règles valables pour le nom spécifique. La simplification du nom d'hôte n'est pas effectuée si seuls les noms d'hôte transitoire et/ou statique sont définis, et le nom d'hôte agréable reste inchangé.

    Les noms d'hôte transitoire et statique doivent être soit une seule étiquette DNS (une chaîne composée de caractères ASCII en minuscule de 7 bits sans espace ni point, limitée au format autorisé pour les étiquettes de nom de domaine DNS), ou une séquence de telles étiquettes séparées par des points pour former un nom de domaine pleinement qualifié valable. Le nom d'hôte doit être de 64 caractères au maximum, ce qui est une limitation de Linux (DNS autorise des noms plus longs).

    If the question mark character "?" appears in the hostname, it is automatically substituted by a hexadecimal character derived from the machine-id(5) when applied, securely and deterministically by cryptographic hashing. Example: "foobar-????-????" will automatically expand to "foobar-92a9-061c" or similar, depending on the local machine ID.

    Ajouté dans la version 249.

icon-name [NOM]
    Si aucun argument n'est donné, afficher le nom d'icône du système. Si un argument optionnel NOM est fourni, la commande change le nom d'icône en NOM. Le nom d'icône est utilisé par quelques applications graphiques pour visualiser cet hôte. Le nom d'icône doit se conformer à la Icon Naming Specification[1].

    Ajouté dans la version 249.

chassis [TYPE]
    Si aucun argument n'est donné, afficher le type du châssis. Si un argument optionnel TYPE est fourni, la commande change le type du châssis en TYPE. Le type du châssis est utilisé par quelques applications graphiques pour visualiser l'hôte ou changer l’interaction avec l’utilisateur. Actuellement, les types de châssis suivants sont définis : « desktop », « laptop », « convertible », « server », « tablet », « handset », « watch », « embedded », ainsi que les types de châssis spéciaux « vm » et « container » pour les systèmes virtualisés qui n’ont pas de châssis physique proche.

    Ajouté dans la version 249.

deployment [ENVIRONNEMENT]
    Si aucun argument n'est donné, afficher l'environnement de déploiement. Si un argument optionnel ENVIRONNEMENT est fourni, la commande change l'environnement de déploiement en ENVIRONNEMENT. L'argument ENVIRONNEMENT doit être un mot unique sans aucun caractère de contrôle. Il est suggéré d’utiliser l'un des suivants : « development », « integration », « staging », « production ».

    Ajouté dans la version 249.

location [EMPLACEMENT]
    Si aucun argument n'est fourni, afficher la chaîne d'emplacement du système. Si un argument optionnel EMPLACEMENT est fourni, la commande change la chaîne d'emplacement du système en EMPLACEMENT. L'argument EMPLACEMENT doit être convivial, une chaîne de forme libre décrivant l'emplacement physique du système s’il est connu et applicable. Cette chaîne peut être aussi générique que « Berlin, Allemagne » ou aussi spécifique que « Rack de gauche, 2ème étagère ».

    Ajouté dans la version 249.

OPTIONS

Les options suivantes sont comprises :

--static, --transient, --pretty
    Si status est invoqué (ou qu'aucune commande explicite n'est donnée) et que l'un de ces commutateurs est indiqué, hostnamectl n'affichera que le nom d'hôte sélectionné.

    Lorsque utilisé avec hostname, seul les noms d'hôte sélectionnés seront mis à jour. Lorsque plus d'un de ces commutateurs sont spécifiés, tous les noms d'hôte indiqués sont mis à jour.

    Ajouté dans la version 195.

-H, --host=
    Effectuer l'opération à distance. Indiquer un nom d'hôte, ou un nom d'utilisateur et un nom d'hôte séparés par un « @ », auquel se connecter. Le nom d'hôte peut, de façon optionnelle, être suffixé par un port sur lequel ssh écoute, séparé par un « : », puis le nom d'un conteneur, séparé par un « / », ce qui connecte alors directement à un conteneur donné sur l'hôte spécifié. SSH sera utilisé pour dialoguer avec l’instance du gestionnaire de la machine distante. Les noms de conteneur peuvent être énumérés avec machinectl -H HÔTE. Mettre les adresses IPv6 entre crochets.

-M, --machine=
    Effectuer l'opération dans un conteneur local. Préciser le nom d'un conteneur auquel se connecter, optionnellement préfixé par le nom d'utilisateur sous lequel se connecter et un caractère de séparation « @ ». Si la chaîne spéciale « .host » est utilisée à la place du nom du conteneur, une connexion au système local est effectuée (ce qui est utile pour se connecter au bus utilisateur d'un utilisateur particulier : « --user --machine=lennart@.host »). Si la syntaxe « @ » n'est pas utilisée, la connexion est réalisée en tant que superutilisateur. Si la syntaxe « @ » est utilisée, le côté gauche ou le côté droit peuvent être omis (mais pas les deux à la fois), auquel cas le nom de l'utilisateur local et « .host » sont implicites.

--no-ask-password
    Ne pas demander à l'utilisateur de s'authentifier pour les opérations requérant des privilèges.

-h, --help
    Afficher un aide-mémoire succinct et quitter.

--version
    Afficher une information de version courte et quitter.

--json=MODE
    Afficher la sortie formatée en JSON. Le mode attendu est « short » (pour la sortie la plus concise possible sans redondance d’espace ou de saut de ligne), « pretty » (pour une plus jolie version de la même chose avec indentation et sauts de ligne) ou « off » (pour désactiver la sortie JSON, comportement par défaut).

-j
    Équivalent à --json=pretty lorsque lancé sur un terminal et à --json=short autrement.

CODE DE RETOUR

En cas de succès, 0 est renvoyé, autrement, un code d'échec différent de zéro est renvoyé.

VOIR AUSSI

systemd(1), hostname(1), hostname(5), machine-info(5), systemctl(1), systemd-hostnamed.service(8), systemd-firstboot(1)

NOTES

1.  Spécification pour les noms d'icône
    https://specifications.freedesktop.org/icon-naming/latest

TRADUCTION
La traduction française de cette page de manuel a été créée par bubu <bubub@no-log.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.